This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 214459 - system-config-services starts editing runlevel 5 while in runlevel 3
system-config-services starts editing runlevel 5 while in runlevel 3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 13:43 EST by Jerry McCarthy
Modified: 2009-01-09 02:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:00:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes default runlevel for system-config-services (1.42 KB, text/x-patch)
2007-10-29 15:21 EDT, Jeff Norden
no flags Details

  None (edit)
Description Jerry McCarthy 2006-11-07 13:43:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.7) Gecko/20061027 Fedora/1.5.0.7-8.fc6 Firefox/1.5.0.7

Description of problem:
whenever I start system-config-services the status line says "Currently Running in Runlevel: 3   Editing Runlevel: 5"  I expect it at start to be editing the current runlevel. 

Version-Release number of selected component (if applicable):
system-config-services-0.9.1-1.fc6

How reproducible:
Always


Steps to Reproduce:
1. start system-config-services


Actual Results:
status line says "Currently Running in Runlevel: 3   Editing Runlevel: 5"

Expected Results:
status line says "Currently Running in Runlevel: 3   Editing Runlevel: 3"

Additional info:
response to runlevel command is "N 3"
Comment 1 Jeff Norden 2007-10-29 15:20:54 EDT
So... I'm not the only one who has been annoyed by this.

It comes up if you have a server which runs at runlevel 3, but you ssh to it
from your gui desktop to do administration.

The patch below is a simple fix.  The problem was that self.editing_runlevel was
sometimes a string, and sometimes an integer.  In perl, ('3' == 3) is true, but
in python, apparently, it is false.

Also, bug 250287 is a dup of this.

Thanks,
-Jeff
Comment 2 Jeff Norden 2007-10-29 15:21:38 EDT
Created attachment 242321 [details]
fixes default runlevel for system-config-services
Comment 3 Bug Zapper 2008-04-04 00:30:15 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Nils Philippsen 2008-04-04 07:25:55 EDT
The system-config-services tool, especially its user interface, has been
overhauled almost completely for F9, please check out whether this works for you.
Comment 5 Jerry McCarthy 2008-04-04 15:06:40 EDT
This bug still exists in Fedora 8.  The patch submitted by Jeff above did fix
this for me.  When Fedora 9 goes GA I will check whether it works for me.
Comment 6 Bug Zapper 2008-11-26 02:05:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:00:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.